View Issue Details

IDProjectCategoryView StatusLast Update
0001580unrealircdpublic2006-02-14 11:36
ReporterdevilAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSRedhatOS Version8.1
Product Version3.2-RC1 
Target VersionFixed in Version3.2.5 
Summary0001580: CGI:IRC support
DescriptionHello
First of all I would like to thank the Unreal Team for a great IRCd. Second of all I would like to request a feature, the ability to change gline type for the spamfilter.

Currently it is glining *@host (as always). I would think it would be a good feature to be ability to change the gline type from *@host to other things (user@host, user@*.host) or similar.

Because currently I am running a webbclient that acts as a proxy (CGI:IRC (cgiirc.sf.net)). The client is a proxy and when adding a spam filter (/spamfilter add pcqdP gline www.camzone.se) the whole IP is banned (kicking out over 100 users and 2 bots).

I realize it might not be a high priority case, but I am simply trying to make a great IRCd even better.

Thank you
Additional Information[read the whole bugreport & comments first before commenting]
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002465 closed Adding cgiirc native support. 

Activities

codemastr

2004-02-22 13:30

reporter   ~0005151

I think a better solution to this is we need better CGI:IRC support. However, this will not be done until after 3.2 Final. However, somewhere on the Internet there is a patch for Bahamut that adds CGI:IRC support, I don't think it would be too hard to get that patch to work with Unreal, unfortunately though I don't recall the URL to it.

syzop

2004-02-22 13:49

administrator   ~0005155

@codemastr, yeah I agree...
besides, this would be way too dangerous... basically you allow users to pick a ident (and host if they use proxies) to put *lines on... that way you could easily *line innocent people... even opers ;).

devil

2004-02-22 14:22

reporter   ~0005156

The CGI:IRC diff for bahamut is avible on:
http://www.rezosup.org/download/web/cgiirc/0.5/bahamut-cgiirchost.diff.txt

For anyone smart enough to make a working module for it.
But the idea for a module is rather easy:
A user@host with CGI:IRC: d559d317@snyggve-3F097D92.customer.telia.com
were d559d317 is the cloaked IP.

On connect the module checks if the users hostname matches the webbclient (in this case snyggve-3F097D92.customer.telia.com). If it does it will automatically take the IP from the cloaked username and change the users hostname to it, using /chghost or similar.

The question is: If the module changes the hostname and the hostname it changes to is glined, will the ircd kick the user? is the module checked before or after the gline check?

Unfortunaly I stink at coding (atleast c/c++).. and I mean really stink :) But I'll try

w00t

2004-03-10 19:13

reporter   ~0005401

Last edited: 2005-04-09 10:49

Woo CGIIRC support... Nice stuff.
-- admin: offtopic post & 2 offtopic replies deleted --

syzop

2006-02-14 11:36

administrator   ~0011236

Added in CVS [.461]. I'm the only one that tested it though ;p

Issue History

Date Modified Username Field Change
2004-02-22 12:52 devil New Issue
2004-02-22 13:30 codemastr Note Added: 0005151
2004-02-22 13:49 syzop Note Added: 0005155
2004-02-22 14:22 devil Note Added: 0005156
2004-02-22 14:45 syzop Summary Ability to change gline type in the spamfilter => CGI:IRC support
2004-02-22 14:45 syzop Additional Information Updated
2004-03-10 19:13 w00t Note Added: 0005401
2005-04-09 10:48 syzop Relationship added has duplicate 0002465
2005-04-09 10:49 syzop Note Edited: 0005401
2006-02-14 10:17 syzop Status new => assigned
2006-02-14 10:17 syzop Assigned To => syzop
2006-02-14 11:36 syzop Status assigned => resolved
2006-02-14 11:36 syzop Fixed in Version => 3.2.5
2006-02-14 11:36 syzop Resolution open => fixed
2006-02-14 11:36 syzop Note Added: 0011236